// Generated from pstn-config.rng (netborder-gw-2.0 r10706) and 
//  pstn-config-doc.xsl using online tool at http://xslt.sitesfree.com/


    Ext.namespace('Paraxip.doc');
    Paraxip.doc.pstnConfigNodeDocText = {
    pstnConfig: 'PSTN Configuration for the Gateway.',
      pstnConfigproviders: 'List of all PSTN interface providers.',
      pstnConfigphysicalInterfaceConfigs: 'Physical interface configurations.',
      pstnConfigcallControlisdn: 'Contains ISDN call control parameters',
      sangomaIfProvidersangomaBChannelsThreadscount: 'Number of threads used to process B-Channels (recommended 2x the number of CPUs).',
      sangomaIfProvidersangomaBChannelsThreadspriority: 'Priority of the threads processing the B-Channel data. The recommended value is TIMECRITICAL.',
      sangomaIfProvidersangomaDChannelsThreadscount: 'Number of threads used to process D-Channels (recommended value is 1 thread).',
      sangomaIfProvidersangomaDChannelsThreadspriority: 'Priority of the threads processing the D-Channel data. The recommended value is HIGHEST.',
      sangomaIfProvidersangomaTxMediaStreamsreverseBits: 'Indicate if the bit of media stream transmitted to the Sangoma board needs to be reversed. If this value is not present the gateway sets this parameter to FALSE.',
      sangomaIfProvidersangomaRxMediaStreamsreverseBits: 'Indicate if the bit of media stream received from the Sangoma board needs to be reversed. If this value is not present the gateway sets this parameter to FALSE.',
      sangomaBoardCommonAttributesID: 'Board identifier unique amoung all boards.',
      sangomaBoardCommonAttributesdisplayName: 'Diplay name attached to this board.',
      sangomaInterfaceCommonAttributesID: 'Interface identifier unique amoung all interfaces for a given board.',
      sangomaInterfaceCommonAttributesdisplayName: 'Diplay name attached to this interface.',
      sangomaDigitalInterfacesinterfacewanpipe: 'Wanpipe ID given to that span by the Sangoma device driver.',
      sangomaVirtualDigitalInterfacesinterfacepeerVirtualInterfaceID: 'ID of the peer virtual interface. This interface is virtually connected with this interface.',
      sangomaVirtualDigitalInterfacesinterfacepeerVirtualBoardID: 'ID of the peer virtual board where the specified peerVirtualInterfaceID resides. If this parameter is not specified, the peerVirtualInterfaceID is assumed to be an interface collocating on the same virtual board.',
      sangomaAnalogInterfacesinterfacewanpipeInterface: 'Interface number given to this interface within the current wanpipe. Sangoma indentify analog interface as follow: WANPIPE[wanpipe]_IF[wanpipeInterface].',
      sangomaAnalogBoardsangomaAnalogBoardwanpipe: 'Wanpipe ID given to that board by the Sangoma device driver.',
      sangomaConfigCommonAttributesID: 'Identifier unique in the physicalInterfaceConfigs name space.',
      sangomaConfigCommonAttributesdisplayName: 'Diplay name attached to this configuration.',
      interfaceRefCommonAttributesboardID: 'Board identifier.',
      interfaceRefCommonAttributesinterfaceID: 'Interface identifier.',
      clockingclocking: 'Set this parameter to TERMINAL to act as Terminal Equipement and receive the clock reference from the network. Set this parameter to NETWORK to act as Network equipement like a PSTN switch. If you connect to a PSTN switch set, this parameter to TERMINAL.',
      DChannelMtuSizemtuSize: 'D-Channel packet Maximum Transmission Unit (MTU). This refers to the size (in bytes) of the largest packet that a Q921 layer of a communications protocol can pass onward. The recommended value is 2048.',
      t1ParametersdigitalT1: 'Contains the T1 parameters. T1 is usually used in North America, Japan...',
      t1ParametersdigitalT1framing: 'T1 framing type.',
      t1ParametersdigitalT1lineEncoding: 'T1 line encoding type.',
      t1ParametersdigitalT1LBO: 'Line Builtin Output.',
      t1ParametersdigitalT1loopbackMode: 'Loopback mode for the span. This is usefull to troubleshoot PSTN connexion.',
      t1ParametersdigitalT1DChannelT1channelIndex: 'Position of the D-Channel in the span. Only index 24 supported for T1s currently',
      e1ParametersdigitalE1: 'Contains the E1 parameters. E1 is mainly used in Europe, China...',
      e1ParametersdigitalE1framing: 'E1 framing type.',
      e1ParametersdigitalE1lineEncoding: 'E1 line encoding type.',
      e1ParametersdigitalE1E1Signaling: 'E1 signaling.',
      e1ParametersdigitalE1E1Termination: 'E1 termination.',
      e1ParametersdigitalE1loopbackMode: 'Loopback mode for the span. This is usefull to troubleshoot PSTN connexion.',
      e1ParametersdigitalE1DChannelE1channelIndex: 'Position of the D-Channel in the span. Only index 16 supported for E1s currently',
      analogCallControlConfiganalog: 'Contains Analog call control parameters',
      audioParametersaudiodefaultPcmLaw: 'Default PCM law (PCMU=ulaw or PCMA=A-Law)',
      audioParametersaudiovoicePacketLengthInMs: 'Length in millisecond of the voice packets received or transmitted from/to this span. For example, if the gateway intends to handle 20ms (160 bytes) RTP streams this value shall be set to 20.',
      HardwareEchoCancellationEchoCancellation: 'Indicates if the echo cancellation is enabled for all B-Channels of the span. Note that echo the cancellation will disabled automatically upon detection of fax or a modem. Note that when the echo cancellation is enabled the system perform echo cancellation on the last 128ms of audio data and the echo cancellation is pereformed in hardware. Thus enabling echo cancellation not impact the CPU usage.',
      HardwareEchoCancellationEchoCancellationmode: 'Select the operational mode if the echo canceller. Select NORMAL for most situations where echo cancellation is required. Select SPEECH_RECOGNIZER_FRIENDLY for systems where speech recognizer engines are used. In this mode, the NLP (Non Linear Processor) is disabled. Select DISABLED for systems that does not need echo cancellation.',
      channelGroupIDID: 'Unique ID used to indentify this channel group. This ID is used in the routing rules to refer to this group.',
      outboundHuntingSchemeoutboundHuntingScheme: 'Indicate how the channel channel will be selected when a outbound call is performed by the gateway.',
      inboundchannelGroupPattern: 'This channel group is reserved for incoming calls.',
      toneSetAttributestoneSetName: 'Name of the tone set who describes the telephony tones recognized by this group.',
      isdnCommonParameterstermination: 'Indicate if this group must act as a NETWORK or a TERMINAL endpoint. Set to this value to TERMINAL if this group connects to a PSTN provider. This is the most comon value.',
      isdnCommonParametersswitchVariant: 'Name of the switch variant to use with this group.',
      isdnCommonParametersBChannelNegotiation: 'Indicates how the B-Channels are negociated.',
      isdnCommonParametersinitiateRestartProcedure: 'Indicates when to initate the restart procedure.',
      isdnCommonParametersinbandProgressTonesGeneration: 'Indicates when in-band progress tones should be generated on inbound ISDN calls.',
      isdnCommonParametersinbandProgressTonesIndicator: 'Indicates which ISDN message(s) to use to send in-band progress indicator for on inbound ISDN calls.',
      isdnCommonParameterscallerNameLocation: 'Indicates if caller Name should be extracted/inserted on inbound/outbound calls. Possile values are : DISABLED: Caller name won\'t be extracted IN-SETUP-MSG: Caller name will be extracted/inserted in a DISPLAY IE in the ISDN SETUP message. IN-FACILITY-MSG: Caller name will be extracted/inserted in a FACILITY an ISDN Suplementary service message immediately following the ISDN SETUP message. The caller name must be in an ANS.1 encoded FACILITY IE.',
      isdnCommonParameterswaitFacilityDelayMs: 'Time in ms to wait for the ISDN FACILITY message. If no Facility message is received within this delay the call will be established without caller name.',
      fasConfigPatternfasConfig: 'Group all ISDN FAS interfaces sharing the same ISDN parameters. Each interface contained in this group shall have defined a D-Channel.',
      fasConfigPatternfasConfigID: 'Unique indentifier for this configuration.',
      fasConfigPatternfasConfigdisplayName: 'Diplay name attached to this configuration.',
      BChannelRangePatternBChannelRange: 'Describe a range of B-Channels. Valid T1 B-channel positions are [1-24]. Valid E1 B-channel positions are [1-30]. A position shall appear in only one range and the D-channel position is not allowed.',
      BChannelRangePatternBChannelRangefirstChannel: 'Position of the first B-Channel in that range.',
      BChannelRangePatternBChannelRangelastChannel: 'Position of the last B-Channel in that range.',
      BChannelRangePatternBChannelRangechannelGroupID: 'Name of the channel group where the channel range belongs.',
      nfasGroupnfasGroup: 'Defines a NFAS group.',
      nfasGroupnfasGroupID: 'Unique indentifier for this configuration.',
      nfasGroupnfasGroupdisplayName: 'Diplay name attached to this configuration.',
      interfaceRefNfasConfiginterfaceRefnfasInterfaceID: 'Identifier stored in byte 3.1 of the channel identification information element. Usually, the first member interface should set this value to 0, the second member to 1 and so on.',
      interfaceRefNfasConfiginterfaceRefDChannelMode: 'D-Channel mode of operation',
      analogFxoConfiganalogFxoConfig: 'Group all analog FXO interfaces sharing the same parameters.',
      analogFxoConfiganalogFxoConfigID: 'Unique indentifier for this configuration.',
      analogFxoConfiganalogFxoConfigdisplayName: 'Diplay name attached to this configuration.',
      analogFxoConfiganalogFxoConfigminimumOnHookDurationMs: 'This specifies the minimum duration that the gateway will wait, after going from OFF-HOOK to ON-HOOK, before setting a channel available for new calls. If this delay is too short and that we were request an outbound call just after going ON-HOOK, the ON-HOOK OFF_HOOK transition can be seen as a simple hook flash by the switch instead off the end off an old call and a new call begining. According to R11-34 of the BellCore GR506 spec: R11-34[442] To produce a flash signal, an SPCS outgoing interface shall produce a momentary on-hook signal with a duration between 400 and 800 milliseconds. So the recomended default value for this parameter is 2000 milliseconds, in order to be sure that going ON-HOOK and then OFF_HOOK won\'t be seen as a simple hook flash.',
      notifyOutboundSideParametersnotifyOutboundSidenumberOfRings: 'Number of ring to wait to meet the AFTER-N-RING condition.',
      notifyOutboundSideParametersnotifyOutboundSidedelayInMs: 'This is the amount of time in ms to wait between the specified condition and connecting with the SIP leg. Set this attribute to 0 you don\'t need to wait.',
      dialParametersdialactive: 'Indicates if the gateway has to handle the dial out or if the inboundSide will handle that.',
      dialParametersdialwaitForDialTone: 'Indicates if we need to wait for the dial tone before we dial the destination number.',
      dialParametersdialpreDialDelayInMs: 'This is the delay, in milliseconds (ms), between the time the line is successfully seized, or dial tone detected, and the moment the destination phone number is dialed.',
      dialParametersdialinterDigitDelayInMs: 'Delay, in milliseconds (ms), between two DTMF digits when the gateway is dialing a number.',
      dialParametersdialDTMFDigitDurationInMs: 'This is the duration, in milliseconds (ms), of the DTMF digits.',
      connectParametersOutboundconnectcondition: 'Specify the required condition to declared the call connected.',
      connectParametersOutboundconnectdelayInMs: 'This is the amount of time in ms to wait between the specified condition and moment to declade the call connected. Set this attribute to 0 you don\'t need to wait.',
      connectSupervisionParametersconnectSupervisionconnectOutboundSidecondition: 'Specify when to connect the outBoundSide.',
      disconnectSupervisionParametersdisconnectSupervisiondisconnectDetectorsringCadenceDetectoractive: 'Activate or not the Ring cadence detection. When activated, if for a Pstn in call the Pstn side hangs up before the call connects, the ring cadence detection will detect that the ring cadence has stopped and the call will be abandoned. If deactivated, no ring cadence detection is done, thus pstn in calls will not be disconnected if the pstn side hangs up before the call connects.',
      disconnectSupervisionParametersdisconnectSupervisiondisconnectDetectorsringCadenceDetectorringCadenceOffDelayMs: 'If a duration of ringCadenceOffDelayMs expires between two rings, the ring candence detection will consider that the Pstn side has hung up and the call will be abandoned.',
      disconnectSupervisionParametersdisconnectSupervisiondisconnectDetectorsdetector: 'Specify a disconnect sequence: sequence := term (\',\' term)* ; term := event \'/\' duration ; event := \"silence\" | \"dial\" | \"sit\" | \"reorder\" | \"busy\" | \"disconnectTone\" | \"batterieDisconnect\" | \"batteriePolarityInversion\" ; duration := durationInSecond | \"continuous\"; ; durationInSecond := real_number ;',
      analogFxsConfiganalogFxsConfig: 'Group all analog FXS interfaces sharing the same parameters.',
      analogFxsConfiganalogFxsConfigID: 'Unique indentifier for this configuration.',
      analogFxsConfiganalogFxsConfigdisplayName: 'Diplay name attached to this configuration.',
      
    dummy: 'dummyval'};

